StrUtils (Solr 3.6.2 API)
Keywords: org.apache.solr.common.util.StrUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.util
Class StrUtils

    java.lang.Object
      org.apache.solr.common.util.StrUtils

    public class StrUtils

extends Object

Version:
  $Id: StrUtils.java 1065586 2011-01-31 13:01:48Z rmuir $

Field Summary
`static char[]` | `HEX_DIGITS`

Constructor Summary
`StrUtils()`

Method Summary
`static String` | `join(List<String> items, char separator)` Creates a backslash escaped string, joining all the items.
`static boolean` | `parseBool(String s)` how to transform a String into a boolean...
`static boolean` | `parseBool(String s, boolean def)` `NullPointerException` and `SolrException` free version of `parseBool(String)`
`static boolean` | `parseBoolean(String s)` Return if a string starts with '1', 't', or 'T' and return false otherwise.
`static void` | `partialURLEncodeVal(Appendable dest, String val)` URLEncodes a value, replacing only enough chars so that the URL may be unambiguously pasted back into a browser.
`static List<String>` | `splitFileNames(String fileNames)` Splits file names separated by comma character.
`static List<String>` | `splitSmart(String s, char separator)` Split a string based on a separator, but don't split if it's inside a string.
`static List<String>` | `splitSmart(String s, String separator, boolean decode)` Splits a backslash escaped string on the separator.
`static List<String>` | `splitWS(String s, boolean decode)`
`static List<String>` | `toLower(List<String> strings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEX_DIGITS

    public static final char[] HEX_DIGITS

Constructor Detail

### StrUtils

    public StrUtils()

Method Detail

### splitSmart

    public static List<String> splitSmart(String s,
                                          char separator)

  Split a string based on a separator, but don't split if it's inside a string. Assume '\' escapes the next char both inside and outside strings.

### splitSmart

    public static List<String> splitSmart(String s,
                                          String separator,
                                          boolean decode)

  Splits a backslash escaped string on the separator.

  Current backslash escaping supported:
  \n \t \r \b \f are escaped the same as a Java String
  Other characters following a backslash are produced verbatim (\c => c)

  Parameters:
    `s` - the string to split
    `separator` - the separator to split on
    `decode` - decode backslash escaping

### splitFileNames

    public static List<String> splitFileNames(String fileNames)

  Splits file names separated by comma character. File names can contain comma characters escaped by backslash '\'

  Parameters:
    `fileNames` - the string containing file names
  Returns:
    a list of file names with the escaping backslashed removed

### join

    public static String join(List<String> items,
                              char separator)

  Creates a backslash escaped string, joining all the items.

### splitWS

    public static List<String> splitWS(String s,
                                       boolean decode)

### toLower

    public static List<String> toLower(List<String> strings)

### parseBoolean

    public static boolean parseBoolean(String s)

  Return if a string starts with '1', 't', or 'T' and return false otherwise.

### parseBool

    public static boolean parseBool(String s)

  how to transform a String into a boolean... more flexible than Boolean.parseBoolean() to enable easier integration with html forms.

### parseBool

    public static boolean parseBool(String s,
                                    boolean def)

  `NullPointerException` and `SolrException` free version of `parseBool(String)`

  Parameters:
    `s` -
    `def` -
  Returns:
    parsed boolean value (or def, if s is null or invalid)

### partialURLEncodeVal

    public static void partialURLEncodeVal(Appendable dest,
                                           String val)
                                    throws IOException

  URLEncodes a value, replacing only enough chars so that the URL may be unambiguously pasted back into a browser.

  Characters with a numeric value less than 32 are encoded. &,=,%,+,space are encoded.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD